import org.jetbrains.kotlin.gradle.targets.js.webpack.KotlinWebpackConfig

plugins {
	kotlin("multiplatform") version "2.1.10"
}

repositories {
	mavenCentral()
}

kotlin {
	js {
		binaries.executable()
		browser {
			commonWebpackConfig {
				outputFileName = "computer-graphics-1.js"
			}
		}
	}

	sourceSets {
		jsMain {
			dependencies {
				implementation(kotlin("stdlib"))
			}
		}
	}
}